package sfs3.extensions.examples.spacewar2.core;

import com.smartfoxserver.entities.data.ISFSObject;

import sfs3.extensions.examples.spacewar2.entities.Velocity;


public class GameItem
{
	protected int ownerId;
	protected ISFSObject settings;
	
	public double x;
	public double y;
	public Velocity velocity;	// Current speed
	public long lastRenderTime;
	
	public GameItem(int ownerId, ISFSObject settings)
	{
		this.ownerId = ownerId;
		this.settings = settings;
		this.velocity = new Velocity(0,0);
	}

	public int getOwnerId()
	{
		return ownerId;
	}
	
	public String getModel()
	{
		return settings.getString("model");
	}

	public double getVX()
	{
		return velocity.vx;
	}

	public double getVY()
	{
		return velocity.vy;
	}
}
